function plotting(choice, raw_data1, raw_data2, raw_data3, raw_data4, filt_data1, filt_data2, filt_data3, filt_data4, merged_a, merged_alpha, titlelist)
    switch choice
        case 1
            % Plot filtered vs raw data
            for i = 2:(length(raw_data1(1,:)))
                figure(i-1)
                plot(raw_data1(:,1), raw_data1(:,i)); hold on
                plot(filt_data1(:,1), filt_data1(:,i));
                legend('raw data','filtered data')

                title(titlelist{i-1})
            end
        case 2
            % Plot filtered data for all IMUs
            for i = 2:(length(raw_data1(1,:)))
                figure(6+i-1)
                plot(filt_data1(:,1), filt_data1(:,i)); hold on
                plot(filt_data2(:,1), filt_data2(:,i)); hold on
                plot(filt_data3(:,1), filt_data3(:,i)); hold on
                plot(filt_data4(:,1), filt_data4(:,i)); 
                legend('IMU1','IMU2', 'IMU3','IMU4')

                title(titlelist{i-1})
            end
        case 3
            titlelist = {'x-axis', 'y-axis', 'z-axis'};
            for i = 1:3
                figure(12+i-1)
                plot(filt_data1(:,1), merged_a(:,i)); hold on
                plot(filt_data1(:,1), merged_alpha(:,i));
                legend('acc', 'angular acc')

                title(titlelist{i})
            end
    end
end

